it-swarm-tr.com

2.5'ten 3.x'e yükseltme

Bu, bir süredir birkaç şeyi düşünerek merak ettiğim bir şey.

"Tek tıklamayla" yükseltme, Joomla! 2.5?

Şu anda 2.5'ten yükseltme konusunda çok düşük bir başarı oranımız var, sadece yükseltme ile çözülmeyen birçok uyumluluk sorunu var ve çoğu zaman işlemi bitirmek için birkaç manuel düzenleme gerektiriyor (JHTML ile ilgili sorunlar en yaygın olanı I görmek).

Şimdi "problemler" diyorum ama sadece güncelleme sonrasında amaçlandığı gibi çalışmadığı için, bu hiçbir şekilde "güncelleme" bileşeninin bozulduğunu söylemiyor.

Etrafa baktım ama sadece aşağıdakileri buldum:

http://docs.joomla.org/Joomla!_CMS_versions

http://developer.joomla.org/cms/roadmap.html

Birincisi, önümüzdeki 2014 Aralık ayında bu 2.5 desteğinin kaldırılacağını belirtiyor. İkincisi 3.x yol haritasını belirtir. Ancak şu anda 2.5'ten yükseltmek çok zor, site ne kadar büyükse, o kadar zor. Bazılarının başarılı olmasına ve bazılarının olmamasına neden olan şeyden emin değilim, çoğu durumda doğrudan üçüncü taraf uzantılarına izole edemeyiz (uzantı yöneticisi sonları ve eksik tablolardan böyle ve uzantı yöneticisi bunu düzelttiğiniz yerdir).

Site, sobipro, k2 veya içerik oluşturucu gibi büyük bir veritabanı kullanıyorsa veya yalnızca birçok makale/modül kullanıyorsa, yükseltme ile ilgili gerçek sorun burada ortaya çıkar, o zaman yükseltme çok daha kolay başarısız olabilir. Bunlar da kaldırılamaz, devre dışı bırakılamaz veya kaldırılamaz (örn: 4000+ öğe bir kaldırma işlemi ile kaybolacaktır, bu noktada siteyi yeniden oluşturabilir ve yeni sürüme geçirebilirsiniz).

EoL'ye daha iyi uyum sağlamak için tek tıklamayla yükseltmeyi 2.5'den 3.x'e yükseltmek için herhangi bir plan var mı? (haber yazıları veya bloglar gibi) Garip bir soru var ama orada yükseltme yapamayan 2.5 site var çok değerli olabilir hissediyorum.

15
Jordan Ramstad

"tek bir tıklama" yükseltme Joomla! 2.5 Çekirdek.

Ancak sitenizde yeni sürüme geçirilecek birkaç şablon veya uzantı olabilir.

Ayrıca ana sitemizin bir "Haziran" geçişi planlıyorum. Bu benim planım:

  • Ana siteyi yedekleyin ve yeni bir test sitesi oluşturun
  • Joomla 3.x için sistem gereksinimlerini gözden geçirin ve sunucu ortamınızın bu gereksinimleri karşıladığından emin olun.
  • Yeni bir Joomla! Yükleyin ve özelleştirin! 2.5/3 uyumlu şablon
  • Tüm Joomla! 2.5/3 uyumlu uzantılar
  • Bazı uzantıların J3 uyumlu bir sürümü yoksa, yeni bir uzantıyla değiştirilmesi gerekir .... VE verilerin taşınması gerekir (en kötü senaryo)
  • NOT : Önceki adımlar çevrimdışı olarak yürütülebilir, test edilebilir ve sonunda bunları mevcut uygulamanıza uygulayabilirsiniz Joomla! Bir günlük göç riskini azaltmak için 2.5 yer.
  • Geliştirme sitenizi en son canlı site ile güncelleyin
  • Son adım: "tek tıklama" yükseltme Joomla! 3 geliştirme sitesinde
  • Çalışana kadar her şeyi test edin ve kontrol edin.
  • Canlı siteyi taşıyın (veya yeni bir barındırmada en son geliştirme sitesi anlık görüntüsünü geri yükleyin .... bir şeyler ters giderse ve J2.5 sitesini yeniden etkinleştirmeniz gerektiğinde)
  • BAŞARISI
11
Anibal

2.5'ten 3.3'e yükseltmeler için, manuel yükseltme de şansım oldu. Sürümler için 2.5.20-> 3.0.3-> 3.1.6-> 3.2.4-> 3.3.0'a kadar gideceğim.

Tüm süreç bu:

  1. Tüm bu sürümleri indirin ve yerel makinede sıkıştırın (işte iyi bir kaynak: http://www.whitefirdesign.com/resources/joomla-release-archive.html )
  2. Akeeba kullanarak yedekleme
  3. Akeeba Kickstart'ı kullanarak alt klasörde klonlama sitesi oluşturma (yeni veritabanı oluşturma/kullanma)
  4. Web sitesinin arka ucunda "sorun" uzantılarını kaldırın (yayının altına bakın)
  5. FTP'de,/installation/klasörü hariç yeni bir Joomla sürümündeki tüm dosyaları yükleyin.
  6. Web sitesinin arka ucunda UZANTILAR-> UZANTILAR MÜDÜRÜ-> VERİTABANI'na gidin ve FIX'e basın
  7. Ardından UZANTILAR-> UZANTILAR MÜDÜRÜ-> KEŞFEDİN, bul ve bulduğu herhangi bir şey için kur'a tıkla
  8. ACL Manager'a gidin (yoksa, kesinlikle öneririm) ve bulduğu ACL sorunlarını düzeltin. http://aclmanager.net
  9. Joomla'nın bir sonraki sürümü ile işlemi tekrarlayın

En yeni sürüme ulaştıktan sonra:

  1. "Sorun" uzantılarını yeniden yükleyin
  2. Yeni sürümü yedekle
  3. Siteyi sorunlar için test edin
  4. Orijinal siteyi alt klasöre taşıma
  5. Yayına geçmek için yeni siteyi kök dizinine taşıyın

Tüm bu süreç, tam sürümlerin yüklenme süresi nedeniyle uzun sürüyor, ancak baş ağrısından tasarruf ediyor.

Sorun uzantıları için, bunlar yalnızca yükseltmeler sırasında sorunlara neden olanlardır. Benim hipotezim yükleme paketinin aslında J2.5 vs J3.3 için farklı sürümleri olması, bu nedenle yükseltme yaptığınızda karışıyor. Eğer birisi başkalarını bulursa, lütfen bana bildirin.

  • NoNumbers uzantıları (NN Yöneticisi, Önbellek Temizleyici, Reklam Modülü Yöneticisi, Her Yerdeki Modüller, vb.)

Bu uzantılar, en son sürümü kullanmıyorsanız sorunlara neden olabilir:

  • RSForm
  • JW AllVideoları
  • RokBox
  • RSForm
  • Sosyal Yer İşaretleri
  • Xmap
5
YellowWebMonkey

Dizini 2.5.7'den 3.2.0'a yükseltemedim. Bu yükseltmeler sırasında çeşitli hatalarla karşılaştım, bazen hiç yükseltme yapamıyorum.

Yükseltme yolu olarak almak zorunda kaldı:

2.5.7 → 3.0.1 → 3.1.5 → 3.2.0

O zamandan beri normal olarak yükseltme yapabildim. 3.2.2 çalıştırıyorum ve kısaca 3.3'e yükseltmeyi planlıyorum.

3
ContextSwitch

Ana soruyu cevaplamak için:

"Tek bir tıklama" yükseltme Joomla! 2.5?

Geliştirmek için bir plan yok. Çekirdek için sorunsuz çalışıyor. Değişen uzantı çıktısı nedeniyle şablonun değiştirilmesi gerekir. Diğer uzantıların manuel olarak kontrol edilmesi gerekir, nasıl oluşturulduklarına bağlıdır. Aynı kod tabanıyla hem 2.5.15+ hem de 3.x üzerinde çalışan uzantılar yazmak mümkündür. Ancak, bunu deneyerek veya geliştiriciyle iletişime geçerek (veya SSS'lerini okuyarak) kontrol etmek gerekir.

2.5'te geliştirilebilecek tek şey, yükseltme öncesi uyumluluk denetimi eklemektir. Bunun için bir iş vardı ama durdu. Topluluktan birileri bunu alıp sona erdirmek zorunda kalacaktı.

2
Bakual

İşte yükseltme hakkında bulduğum bazı yararlı bilgiler.

Birincisi, web sitesi orijinal olarak 1.6'daysa, 2.5'e yükseltildiyse, 2.5'in son sürümlerinde bile tüm uzantılar çalışmaya devam edecektir. Ancak 3.x sürümüne yükseltmek için yeniden yükleme gerekir. Bunun nedeni, "güncelleme" alanındaki farkların 1.6 olması durumunda güncelleme sunucusunun güncellemeleri düzgün bir şekilde okumamasıdır, bu nedenle 1.6 bileşeni ise, en azından çoğu durumda (bunu DJ Image Slider'da gördüm ve BreezingForms) 2.5 sürümüne yükseltildikten sonra güncellenmeyecektir.

Bu nedenle, bu uzantıların kullanım ömrü boyunca 2.5'te manuel olarak yükseltilmesi gerekir. Uzantıya bağlı olarak normal sql güncellemesinde de sorunlar olabileceğine inanıyorum, ancak sadece farkında olmak için bir şey.

Bazen uzantılar yeniden adlandırılabilir veya "yenilenebilir", bu da Joomla'nın zaman zaman yeni bir bileşen olarak okumasına neden olarak eski ve yeni aynı bileşenin birden çok girişine yol açar. Birini kaldırırsanız, yine aynı veritabanı tablolarını kullanır, bu yüzden zaten yüklediyseniz bunları temizler.

Fikir: Bu durumda yararlı olacağını düşünebileceğim bir şey, eski sürümlere yönelik uzantıları kontrol etmek için uzantı yöneticisine bir ekleme yapmak, onları kolayca görünür kılmak, bu yapılabilir son güncellemeye "tarih" bakarak ve mevcut sürüm bu sürümü geçerse Joomla'da olası bir kırılmadan önce oldu.

Her iki durumda da, herhangi bir noktada 1,6'dan 2,5'e ve sonra 3,x'e giden bir site söz konusu olduğunda verileri temizleyecek bir yeniden yüklemeyi zorlayabilir.

Başka Bir Fikir: Güncellemenin yanında, eski sürümü ve güncelleme sunucusunu veya özel bir url/upload öğesini kullanarak verileri temizlemeden bileşeni kaldırmak için bir "yeniden yükleme" eklenmişse. Daha sonra veritabanı tablolarını güncellemek için sql güncellemelerini kullanırken yeniden yükleyin son derece kullanışlı olacaktır.

Bu sorunları daha sık göstereceği için başlangıçta 1.6 olan bir site kullanıyorum, 2.5'te başlayan sitelerle de olabilir.

Bu, 3.x'e uyumluluk eklemek için daha önce hiç yükseltilmemiş olabilecek uzantılardan gelebilecek birçok sorunu açıklar, eklentiler en kötüdür, çünkü yönetici panelinde bile bir hata, yönetici panelini kullanılamaz hale getirebilir.

Yine başka bir fikir: Joomla güncelleme yöneticisi, bazıları (güncellemeleri izlediği için akeeba gibi) dışındaki tüm üçüncü taraf eklentileri otomatik olarak devre dışı bırakabilir. Tüm eklentileri yeniden etkinleştirdikten sonra sistem eklentilerini hatalar için "denetler". Demek istediğim, otomatik olarak bir hata olup olmadığını görmek için bir try/catch ile çeşitli olayları tetikler, eğer devre dışı bırakır ve bildirirse.

Şimdi tüm bunlar herhangi bir temel sorun olduğunu varsaymıyor, bu da normalde bir güncellemede olmamalı.

Yukarıda gönderdiğim fikirler geliştirici ekibi içindir, gerisi güncelleme yapan herkes için iyi bir bilgidir. Verdiğim fikirler, potansiyel olarak olabilecek uzantıları kaldırmadan/devre dışı bırakmadan güncellemelere izin verebilmelidir. sürece çok daha fazla iş eklemek. Zaten harika güncelleyiciye bazı eklemeler ile, gelecekte tam otomatik güncellemeler bile (wordpress gibi) mümkün olabilir.

2
Jordan Ramstad

Kullandığım prosedür yaklaşık 40 farklı Joomla 2.5 ila 3.x mini göçü geliştirdi. Tam olarak "tek bir tıklama" değil, en yaygın tuzaklardan kaçınmaya yardımcı olur. Baktığım web sitelerinin çoğu RocketTheme şablonlarını kullanıyor ve Joomla 2.5 şablonlarının benim için şablon taşıma sorunlarını azaltan Joomla 3.x eşdeğer sürümleri var, ancak kilometreniz değişebilir.

  1. Barındırma ortamının Joomla 3.x için uygun olduğunu kontrol edin

  2. Önce yedeklemeyi çalıştırın!

  3. Joomla 3.x uyumlu olmayan tüm uzantıları kaldırın

  4. Zaten 2.5.28'de değilse Joomla 2.5.28'e güncelleyin ve tüm üçüncü taraf uzantılarını mevcut en yeni Joomla 2.5 sürümlerine güncelleyin

  5. "Sistem - Beni Hatırla" eklentisini devre dışı bırak

  6. Akeeba Backup yüklüyse "Sistem - Güncellemede yedekleme" eklentisini devre dışı bırakın

  7. Genel Yapılandırma'da, Hata Raporlamasını "Geliştirme" olarak ayarlayın (bu nedenle taşıma işleminden sonra hatalar görünür - bu adımı kaçırırsanız configuration.php dosyasını indirmek için FTP vb. Kullanmak, iletileri etkinleştirmek ve ardından güncellenmiş sürümü yüklemek için düzenlemek zorunda kalabilirsiniz. Bir ağrı olan FTP vb.)

  8. Bileşenleri Değiştir -> Joomla Güncellemesi -> Seçenekler "Kısa Süreli Destek"

  9. Bileşenler -> Joomla Güncellemesi'nde, 2.5.x'ten 3.5.1'e, 3.5.1'den 3.6.5'e ve ardından 3.6.5'ten en son sürüme güncellemek için "Güncellemeyi Yükle" ye tıklayın. Joomla önbelleğini temizleyin ve Uzantılar -> Extension Manager -> Güncelleme'de önbelleği temizleyin ve güncelleme sunulmuyorsa tekrar deneyin. Oturum belirteci güncelleştirmeleri gerçekleştirilirken bir veya iki kez yeniden kimlik doğrulaması yapmanız gerekebilir

  10. Bileşenleri Değiştir -> Joomla Güncellemesi -> Seçenekler -> Kanalı "Varsayılan" olarak sıfırlanmamışsa "Varsayılan" olarak güncelle

  11. En son Joomla 3.x uzantılarını, özellikle ChronoForms ve bunlardan herhangi birine sahipseniz ChronoForms Eylemleri yüklü uzantıların üzerine yeniden yükleyin

  12. Joomla önbelleğini ve web tarayıcı önbelleğinizi temizleyin

  13. Genel Yapılandırma'da, Hata Bildirimi'ni yeniden "Yok" olarak ayarlayın

  14. Akeeba Backup yüklüyse "Sistem - Güncellemede yedekleme" eklentisini yeniden etkinleştirin

  15. "Sistem - Beni Hatırla" eklentisini yeniden etkinleştir

  16. Joomla güncelleme bildirimlerini kapatmak için "Sistem - Joomla! Güncelleme Bildirimi" eklentisini devre dışı bırakın (isteğe bağlı)

  17. Joomla 2.5 şablonlarını kaldırın (atomik, beez5, beez_20, bluestork)

  18. İçerik -> Makaleler -> Seçenekler -> Uygunsa düzenleme düzeninde sürüm kontrolünü etkinleştirin (sürüm kontrolü varsayılan olarak devre dışıdır)

  19. Kullanıcılar -> Yönet -> Seçenekler -> Uygunsa Kullanıcı Seçenekleri'nde "Kullanıcı Kaydına İzin Ver" seçeneğini devre dışı bırakın (Joomla 2.5'te varsayılan olarak etkindir)

Adım 11, yükleme komut dosyalarının, Joomla 2.5'e ilk yüklendiklerinde çalıştırılmamış olabilecek Joomla 3'e özgü tüm adımları gerçekleştirmelerine izin vermek için önemlidir.

PHP sürümünü güncellemeyi unutmayın. Şu anda desteklenen sürümler için https://www.php.net/supported-versions.php adresine bakın.

1
Neil Robertson

Ben yükseltme ile dikkate alınacak çok şey olduğunu düşünüyorum sadece bir "tek tıklama" süreci olarak kabul edilemez.

PHP sürümleri dikkate alınması gereken ilk şeydir. Joomla versiyonları da ... merdiveni bir sonrakine tırmanmadan önce her zaman herhangi bir ağaçtaki son versiyona yükseltin. Uygulamak istediğiniz güncellemeleri ve hangi şubeden seçmek için Akeeba CMS Updater'ı kullanın.

Uzantılar gerçekten kıllı olduğu yer.

SP Transfer gibi bir uzantı kullanmak, yeni sürümde bu sürüm için yüklenmiş tüm bileşenlerle önceden yüklenebilen ikincil bir site oluşturarak sorunları azaltabilir ve sonra gerekli tüm verileri veritabanından aktarabilir.

Bu işlem, günlük kullanıcı için geçerli değildir.

Daha sık olmamakla birlikte, varlık tablosuyla ilgili bir miktar sorun buluyorum ve genellikle Yetim Yöneticisi'nin teşhisini, tablodaki Yetim veya eksik öğeleri düzeltmek için kullanmak zorundayım.

1
BodgeIT